- name: Add pihole IP to the coredns configmap
  k8s:
    state: present
    wait_sleep: 120
    wait_timeout: 360
    namespace: kube-system
    src: ../manifests/coredns/config-map.yaml
    api_version: v1
    kubeconfig: ~/.kube/config

- name: Add ExternalIP to the preferred addresses types in metrics-server
  k8s:
    state: present
    wait_sleep: 120
    wait_timeout: 360
    namespace: kube-system
    src: ../manifests/metrics-server/deployment.yaml
    api_version: v1
    kubeconfig: ~/.kube/config